Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Mehrere Probleme in Xen
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in Xen
ID: SUSE-SU-2017:2519-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Desktop 12-SP2, SUSE Linux Enterprise Software Development Kit 12-SP2, SUSE Linux Enterprise Server 12-SP2, SUSE Container as a Service Platform ALL
Datum: Mo, 18. September 2017, 19:09
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-14317
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-14316
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-14319
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-14318

Originalnachricht

   SUSE Security Update: Security update for xen
______________________________________________________________________________

Announcement ID: SUSE-SU-2017:2519-1
Rating: important
References: #1027519 #1055695 #1056278 #1056280 #1056281
#1056282
Cross-References: CVE-2017-14316 CVE-2017-14317 CVE-2017-14318
CVE-2017-14319
Affected Products:
SUSE Linux Enterprise Software Development Kit 12-SP2
SUSE Linux Enterprise Server 12-SP2
SUSE Linux Enterprise Desktop 12-SP2
SUSE Container as a Service Platform ALL
______________________________________________________________________________

An update that solves four vulnerabilities and has two
fixes is now available.

Description:

This update for xen fixes several issues.

These security issues were fixed:

- CVE-2017-14316: Missing bound check in function `alloc_heap_pages` for
an internal array allowed attackers using crafted hypercalls to execute
arbitrary code within Xen (XSA-231, bsc#1056278)
- CVE-2017-14318: The function __gnttab_cache_flush missed a check for
grant tables, allowing a malicious guest to crash the host or for x86 PV
guests to potentially escalate privileges (XSA-232, bsc#1056280)
- CVE-2017-14317: A race in cxenstored may have cause a double-free
allowind for DoS of the xenstored daemon (XSA-233, bsc#1056281).
- CVE-2017-14319: An error while handling grant mappings allowed malicious
or buggy x86 PV guest to escalate its privileges or crash the hypervisor
(XSA-234, bsc#1056282).

These non-security issues were fixed:

- bsc#1055695: Fixed restoring updates for HVM guests for ballooned domUs


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 12-SP2:

zypper in -t patch SUSE-SLE-SDK-12-SP2-2017-1558=1

- SUSE Linux Enterprise Server 12-SP2:

zypper in -t patch SUSE-SLE-SERVER-12-SP2-2017-1558=1

- SUSE Linux Enterprise Desktop 12-SP2:

zypper in -t patch SUSE-SLE-DESKTOP-12-SP2-2017-1558=1

- SUSE Container as a Service Platform ALL:

zypper in -t patch SUSE-CAASP-ALL-2017-1558=1

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 12-SP2 (aarch64 x86_64):

xen-debugsource-4.7.3_04-43.12.1
xen-devel-4.7.3_04-43.12.1

- SUSE Linux Enterprise Server 12-SP2 (x86_64):

xen-4.7.3_04-43.12.1
xen-debugsource-4.7.3_04-43.12.1
xen-doc-html-4.7.3_04-43.12.1
xen-libs-32bit-4.7.3_04-43.12.1
xen-libs-4.7.3_04-43.12.1
xen-libs-debuginfo-32bit-4.7.3_04-43.12.1
xen-libs-debuginfo-4.7.3_04-43.12.1
xen-tools-4.7.3_04-43.12.1
xen-tools-debuginfo-4.7.3_04-43.12.1
xen-tools-domU-4.7.3_04-43.12.1
xen-tools-domU-debuginfo-4.7.3_04-43.12.1

- SUSE Linux Enterprise Desktop 12-SP2 (x86_64):

xen-4.7.3_04-43.12.1
xen-debugsource-4.7.3_04-43.12.1
xen-libs-32bit-4.7.3_04-43.12.1
xen-libs-4.7.3_04-43.12.1
xen-libs-debuginfo-32bit-4.7.3_04-43.12.1
xen-libs-debuginfo-4.7.3_04-43.12.1

- SUSE Container as a Service Platform ALL (x86_64):

xen-debugsource-4.7.3_04-43.12.1
xen-libs-4.7.3_04-43.12.1
xen-libs-debuginfo-4.7.3_04-43.12.1
xen-tools-domU-4.7.3_04-43.12.1
xen-tools-domU-debuginfo-4.7.3_04-43.12.1


References:

https://www.suse.com/security/cve/CVE-2017-14316.html
https://www.suse.com/security/cve/CVE-2017-14317.html
https://www.suse.com/security/cve/CVE-2017-14318.html
https://www.suse.com/security/cve/CVE-2017-14319.html
https://bugzilla.suse.com/1027519
https://bugzilla.suse.com/1055695
https://bugzilla.suse.com/1056278
https://bugzilla.suse.com/1056280
https://bugzilla.suse.com/1056281
https://bugzilla.suse.com/1056282

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung